Package csb :: Package io :: Module tsv :: Class Step

[frames] | no frames]

# Class Step

source code

    object --+
             |
            Step

Known Subclasses:
  - Operator
  - , Where

Instance Methods

__init__(self, table, expression) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| expression
| table
Inherited from `object`: `__class__`

Method Details

### __init__(self, table, expression)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

Property Details

### expression

Get Method:
  unreachable.expression(self)

### table

Get Method:
  unreachable.table(self)